#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.39.0.1
visibility:           public
id:                   glirc-2.39.0.1-t9gSgUuZzEKUy0peW6npo
key:                  glirc-2.39.0.1-t9gSgUuZzEKUy0peW6npo
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  8940fd5ef511ad08549c0e7f43ba98b9
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Window
    Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.Digraphs Client.View.Help
    Client.View.IgnoreList Client.View.KeyMap Client.View.MaskList
    Client.View.Mentions Client.View.Messages Client.View.Palette
    Client.View.RtsStats Client.View.UrlSelection Client.View.UserList
    Client.View.Windows

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.39.0.1-t9gSgUuZzEKUy0peW6npo
include-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.2-90PxtTJ5B6yFXRv9d4FwI6
    async-2.2.4-I2YTB5000Kj32n0kKJ2NSg
    attoparsec-0.14.4-Gj1vArEZdggJnxQ5I0nGMx base-4.15.1.0
    base64-bytestring-1.2.1.0-FOp1Agqy33pIuogSynRJiT
    bytestring-0.10.12.1 config-schema-1.2.2.0-8yxOZztdI6R5Lwuu3HqZU8
    config-value-0.8.2.1-8R6HLVlBg8zCYFfLAkGmOS containers-0.6.4.1
    curve25519-0.2.7-2bZv3pirOB4HbjxOPaIcXF directory-1.3.6.2
    filepath-1.4.2.1 free-5.1.9-21g4xEZnILeCWCcjUfL1DY
    githash-0.1.6.2-71BBJaPVBKaKpfupKx6AzS
    hashable-1.4.0.2-HaS0gz7DKZl5hgkyH0eShz
    hookup-0.7-2YWVdSn0GJKEivTwbt3OEb
    irc-core-2.11-3jV1nVRHLPj2UZGf54d2u7
    kan-extensions-5.2.5-DGx31nDJ6X99Urx2FNB7ah
    lens-5.1.1-5PPvtF24NNgJOUeY91kG7T
    network-3.1.2.7-3dAlKyu2TU91rkKNmDqxd9 process-1.6.13.2
    psqueues-0.2.7.3-IBXV1aH48iW23Dj7YJDd5p
    random-1.2.1.1-HhRBw6hYyidCRner3o2xIN
    regex-tdfa-1.3.1.5-3rZRSc2z84lJhdbazyfdhS
    split-0.2.3.4-LASty2p7YRr9gFd3RTzW9a stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.19.1-DzqMNL8SmsvLUZuXVD6UYJ
    vector-0.12.3.1-DWLcs41oUpGB6FR7Q3d3DL
    vty-5.36-5nswpts6HaPCvTZKq5QY26

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

